C+
C NAME:
C	ArrI8Zero
C PURPOSE:
C	Initialize integer*4 array to zero
C CALLING SEQUENCE:
	subroutine ArrI8Zero(N,C)
C CALLS:
C	BadI8
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer*8	C(*)

	integer*8	BadI8
	integer*8	ibad

	ibad = BadI8()

	do I=1,abs(N)
	    if (N .gt. 0 .or. C(I) .ne. ibad) C(I) = 0
	end do

	return
	end
